Default ups.conf should have maxretry setting above examples section.

Bug #1405822 reported by Tuomas Heino on 2014-12-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nut (Debian)
New
Unknown
nut (Ubuntu)
Undecided
Unassigned

Bug Description

Default/sample ups.conf has maxretry setting at end. Above that are examples and an empty line.

Uncommenting any of the examples or merging with older configs are likely to end up with a broken config file, since the parser will interpret existing maxretries to be inside driver definition. Included patch follows conventions used in other nut config files.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: nut 2.7.1-1ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-43.72-generic 3.13.11.11
Uname: Linux 3.13.0-43-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
Date: Fri Dec 26 20:06:50 2014
InstallationDate: Installed on 2014-12-20 (6 days ago)
InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.3)
KernelVersion: Linux lmaas1 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
PackageArchitecture: all
SourcePackage: nut
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Tuomas Heino (iheino+ub) wrote :

The attachment "http://bazaar.launchpad.net/~iheino+ub/+junk/nut-upsconf-docfix/diff/3" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Marc Deslauriers (mdeslaur) wrote :

I think this change makes sense. However, it would be a lot better to simply modify the 0006-ups-conf-maxretry.patch patch directly instead of adding a second one.

NACK on the debdiff for now, please modify it to update the other patch. Thanks!

Changed in nut (Ubuntu):
status: New → Incomplete
Sebastien Bacher (seb128) wrote :

(unsubscribing sponsors, subscribe them again once the changes are done)

Tuomas Heino (iheino+ub) wrote :

Merged the changes into 0006-ups-conf-maxretry.patch as requested.

Changed in nut (Ubuntu):
status: Incomplete → New
Marc Deslauriers (mdeslaur) wrote :

Looked good, uploaded to vivid with a couple of minor changelog changes. Thanks!

Changed in nut (Ubuntu):
status: New → Fix Committed
Changed in nut (Debian):
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nut - 2.7.1-1ubuntu4

---------------
nut (2.7.1-1ubuntu4) vivid; urgency=low

  * debian/patches/0006-ups-conf-reorder.patch: Move maxretry setting
    above Examples section, closer to the "outside of a driver definition"
    comment. (LP: #1405822)
 -- Tuomas Heino <email address hidden> Fri, 26 Dec 2014 19:36:45 +0200

Changed in nut (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.